com.jnape.palatable.lambda.functions.builtin.fn2

## Class Into5<A,B,C,D,E,F>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn2.Into5<A,B,C,D,E,F>

- Type Parameters:
    `A` - the first argument type
    `B` - the second argument type
    `C` - the third argument type
    `D` - the fourth argument type
    `E` - the fifth argument type
    `F` - the result type
  All Implemented Interfaces:
    Fn1<Fn5<? super A,? super B,? super C,? super D,? super E,? extends F>,Fn1<Product5<A,B,C,D,E>,F>>, Fn2<Fn5<? super A,? super B,? super C,? super D,? super E,? extends F>,Product5<A,B,C,D,E>,F>, Applicative<Fn1<Product5<A,B,C,D,E>,F>,Fn1<Fn5<? super A,? super B,? super C,? super D,? super E,? extends F>,?>>, Cartesian<Fn5<? super A,? super B,? super C,? super D,? super E,? extends F>,Fn1<Product5<A,B,C,D,E>,F>,Fn1<?,?>>, Cocartesian<Fn5<? super A,? super B,? super C,? super D,? super E,? extends F>,Fn1<Product5<A,B,C,D,E>,F>,Fn1<?,?>>, Contravariant<Fn5<? super A,? super B,? super C,? super D,? super E,? extends F>,Profunctor<?,Fn1<Product5<A,B,C,D,E>,F>,Fn1<?,?>>>, Functor<Fn1<Product5<A,B,C,D,E>,F>,Fn1<Fn5<? super A,? super B,? super C,? super D,? super E,? extends F>,?>>, Profunctor<Fn5<? super A,? super B,? super C,? super D,? super E,? extends F>,Fn1<Product5<A,B,C,D,E>,F>,Fn1<?,?>>, Monad<Fn1<Product5<A,B,C,D,E>,F>,Fn1<Fn5<? super A,? super B,? super C,? super D,? super E,? extends F>,?>>, MonadReader<Fn5<? super A,? super B,? super C,? super D,? super E,? extends F>,Fn1<Product5<A,B,C,D,E>,F>,Fn1<Fn5<? super A,? super B,? super C,? super D,? super E,? extends F>,?>>, MonadRec<Fn1<Product5<A,B,C,D,E>,F>,Fn1<Fn5<? super A,? super B,? super C,? super D,? super E,? extends F>,?>>, MonadWriter<Fn5<? super A,? super B,? super C,? super D,? super E,? extends F>,Fn1<Product5<A,B,C,D,E>,F>,Fn1<Fn5<? super A,? super B,? super C,? super D,? super E,? extends F>,?>>

      public final class Into5<A,B,C,D,E,F>
      extends Object
      implements Fn2<Fn5<? super A,? super B,? super C,? super D,? super E,? extends F>,Product5<A,B,C,D,E>,F>

  Given an ``Fn5`<A, B, C, D, E, F>` and a ``Product5`<A, B, C, D, E>`, destructure the product and apply the slots as arguments to the function, returning the result.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Into5()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `F` | `checkedApply(Fn5<? super A,? super B,? super C,? super D,? super E,? extends F> fn, Product5<A,B,C,D,E> product)`
    `static <A,B,C,D,E,F> Into5<A,B,C,D,E,F>` | `into5()`
    `static <A,B,C,D,E,F> Fn1<Product5<A,B,C,D,E>,F>` | `into5(Fn5<? super A,? super B,? super C,? super D,? super E,? extends F> fn)`
    `static <A,B,C,D,E,F> F` | `into5(Fn5<? super A,? super B,? super C,? super D,? super E,? extends F> fn, Product5<A,B,C,D,E> product)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, apply, checkedApply, compose, contraMap, curried, curry, diMapL, discardR, flip, fn2, fromBiFunction, toBiFunction, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Constructor Detail

    - #### Into5

          public Into5()

  - ### Method Detail

    - #### checkedApply

          public F checkedApply(Fn5<? super A,? super B,? super C,? super D,? super E,? extends F> fn,
                                Product5<A,B,C,D,E> product)

      Specified by:
        `checkedApply` in interface `Fn2<Fn5<? super A,? super B,? super C,? super D,? super E,? extends F>,Product5<A,B,C,D,E>,F>`

    - #### into5

          public static <A,B,C,D,E,F> Into5<A,B,C,D,E,F> into5()

    - #### into5

          public static <A,B,C,D,E,F> Fn1<Product5<A,B,C,D,E>,F> into5(Fn5<? super A,? super B,? super C,? super D,? super E,? extends F> fn)

    - #### into5

          public static <A,B,C,D,E,F> F into5(Fn5<? super A,? super B,? super C,? super D,? super E,? extends F> fn,
                                              Product5<A,B,C,D,E> product)